lkml.org 
[lkml]   [2017]   [Dec]   [30]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 4.14.9 broke nvidia 384.98 kernel module
On Sat, Dec 30, 2017 at 01:36:33PM +0100, Hans-Peter Jansen wrote:
> On Freitag, 29. Dezember 2017 10:23:56 Greg KH wrote:
> > On Fri, Dec 29, 2017 at 02:08:08AM +0100, Hans-Peter Jansen wrote:
> > > Hi Greg,
> > >
> > > I know, everybody hates NVidia and their proprietary stuff around here.
> > >
> > > Anyway, I wanted to let you and followers of 4.14 know, that changes
> > > between>
> > > 4.14.8 and 4.14.9 broke both current nvidia kernel drivers. See:
> > > https://devtalk.nvidia.com/default/topic/1028016/linux/patch-for-compilin
> > > g-v384-98-modules-with-linux-v4-14-9-/
> > Should be fixed in 4.14.10-rc1, right?
>
> Hmm, building with 4.14.10 without the patch results in:
>
> [ 19s] + make -f Makefile nv-linux.o SYSSRC=/lib/modules/4.14.10-3-
> default/source SYSOUT=/usr/src/linux-obj/x86_64/default
> [...]
> [ 88s] /home/abuild/rpmbuild/BUILD/nvidia-
> gfxG04-384.98/obj/default/384.98/nvidia-uvm/uvm8_va_block.c:8771:41: error:
> implicit declaration of function 'task_stack_page' [-Werror=implicit-function-
> declaration]
>
> With the patch applied (attached for reference), the build succeeds..

That's not an issue I can do anything about, that's an nvidia driver
problem :)

thanks,

greg k-h

\
 
 \ /
  Last update: 2017-12-30 15:19    [W:0.083 / U:2.560 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site